#!/bin/bash
# -*- coding: utf-8 -*-

WD=$(pwd)

#define the two input directories 
INDIR01="PDVout06"
INDIR02="PDVout07"
#define an output directory
OUTDIR01="PDVout08"
#delete any previous versions of this output directory
rm -rf $OUTDIR01
rm -rf "$OUTDIR01".tar.gz
#make a new directory
mkdir $OUTDIR01
#define names for output files
OUTFNM01="marginal_likelihoods_from_HKY_PDVout06.txt"
OUTFNM02="marginal_likelihoods_from_GTR_PDVout07.txt"
#write a new output file to write to
touch "$WD"/"$OUTDIR01"/"$OUTFNM01"
iconv -f UTF-8 -t UTF-8 "$WD"/"$OUTDIR01"/"$OUTFNM01"

cd "$WD"/"$INDIR02"
# https://stackoverflow.com/questions/2107945/how-to-loop-over-directories-in-linux
#loop over dirs in directory

for dir in "$WD"/"$INDIR01"/*/     # list directories in the form "/tmp/dirname/"
do
    dir=${dir%*/}      # remove the trailing "/"
    DIRNM=$(echo ${dir##*/})    # print everything after the final "/"
	#echo "$DIRNM"
	#print the dir name to a file
	printf "$DIRNM" >> "$WD"/"$OUTDIR01"/"$OUTFNM01"
	#print a tab character to the file
	printf "\t" >> "$WD"/"$OUTDIR01"/"$OUTFNM01"
	#change directory
	cd "$dir"
	#copy the log file
	cp *.log "$WD"/"$OUTDIR01"/.
	# grep the line in the stdout file with the  'marginal L estimate'
	grep 'marginal L estimate' stdout_*.txt >> "$WD"/"$OUTDIR01"/"$OUTFNM01"
	#print an end of line character to the file
	printf "\n" >> "$WD"/"$OUTDIR01"/"$OUTFNM01"
	cd "$WD"/"$INDIR01"
done

#write a new output file to write to
touch "$WD"/"$OUTDIR01"/"$OUTFNM02"
iconv -f UTF-8 -t UTF-8 "$WD"/"$OUTDIR01"/"$OUTFNM02"

cd "$WD"/"$INDIR02"
# https://stackoverflow.com/questions/2107945/how-to-loop-over-directories-in-linux
#loop over dirs in directory

for dir in "$WD"/"$INDIR02"/*/     # list directories in the form "/tmp/dirname/"
do
    dir=${dir%*/}      # remove the trailing "/"
    DIRNM=$(echo ${dir##*/})    # print everything after the final "/"
	#echo "$DIRNM"
	#print the dir name to a file
	printf "$DIRNM" >> "$WD"/"$OUTDIR01"/"$OUTFNM02"
	#print a tab character to the file
	printf "\t" >> "$WD"/"$OUTDIR01"/"$OUTFNM02"
	#change directory
	cd "$dir"
	#copy the log file
	cp *.log "$WD"/"$OUTDIR01"/.
	# grep the line in the stdout file with the  'marginal L estimate'
	grep 'marginal L estimate' stdout_*.txt >> "$WD"/"$OUTDIR01"/"$OUTFNM02"
	#print an end of line character to the file
	printf "\n" >> "$WD"/"$OUTDIR01"/"$OUTFNM02"
	cd "$WD"/"$INDIR02"
done

cd "$WD"
#only grep lines with 'marginal L estimate'
cat "$WD"/"$OUTDIR01"/"$OUTFNM01" | \
	grep 'marginal L estimate' > "$WD"/"$OUTDIR01"/tmp06.txt
#only grep lines with 'marginal L estimate'
cat "$WD"/"$OUTDIR01"/"$OUTFNM02" | \
	grep 'marginal L estimate' > "$WD"/"$OUTDIR01"/tmp07.txt
# concatenate the two files in to one
cat "$WD"/"$OUTDIR01"/tmp06.txt "$WD"/"$OUTDIR01"/tmp07.txt > "$WD"/"$OUTDIR01"/tmp08.txt
#remove the old tmp files
rm "$WD"/"$OUTDIR01"/tmp06.txt
rm "$WD"/"$OUTDIR01"/tmp07.txt
#cat "$WD"/"$OUTDIR01"/tmp08.txt
cd "$WD"
#compress the directory
tar -zcvf "$OUTDIR01".tar.gz "$OUTDIR01"/