#!/bin/bash
# -*- coding: utf-8 -*-

#define present working dir
WD=$(pwd)

#define the two input directories 
INDIR01="PDVout06"
INDIR02="PDVout07"

#define the number of hours required for treeanotator
slurm_hours="1"
#change directory
cd "$WD"/"$INDIR01"
# https://stackoverflow.com/questions/2107945/how-to-loop-over-directories-in-linux
#loop over dirs in directory
for dir in "$WD"/"$INDIR01"/*/     # list directories in the form "/tmp/dirname/"
do
    dir=${dir%*/}      # remove the trailing "/"
    DIRNM=$(echo ${dir##*/})    # print everything after the final "/"
	#echo "$DIRNM"
	#change directory
	cd "$dir"
	#write a slurm submission file
	
	printf "#!/bin/bash
#SBATCH -J "$DIRNM"
#SBATCH -A uoa00029         # Project Account
#SBATCH --time="$slurm_hours":00:00     # Walltime
#SBATCH --mem-per-cpu=8192  # memory/cpu (in MB)
#SBATCH --cpus-per-task=1
#SBATCH --ntasks=1
# # SBATCH --mail-type=ALL
# #SBATCH --mail-user=sknu003@aucklanduni.ac.nz
#SBATCH -o stdout_"$DIRNM".txt
#SBATCH -e stderr_"$DIRNM".txt



#load module - load java first as beast is dependent on java
module load java
#now load beast
module load BEAST/1.10.4-gimkl-2017a-no-beagle

FNO="$DIRNM"
###module load java
###srun java -Xms64m -Xmx4000m -Djava.library.path=/share/easybuild/RHEL6.3/sandybridge/software/BEAST/1.8.0-goolf-1.5.14/lib/  -cp /share/easybuild/RHEL6.3/sandybridge/software/BEAST/1.8.0-goolf-1.5.14/lib/beast.jar dr.app.tools.TreeAnnotator -heights mean stb_kyp_094_06_comb3.trees stb_kyp_094_06_mean_tree.tre
##srun treeannotator -heights mean \"\${FNO}\".trees \"\${FNO}\".comb.tre
#srun treeannotator -heights median \"\${FNO}\".trees \"\${FNO}\".comb.tre
srun treeannotator -heights keep -burnin 10000000 *.trees \"\${FNO}\".comb.tre
" > slurm_submit_nesi_treeanotator_"$DIRNM".sh
#slurm submit to treeanotator
	sbatch slurm_submit_nesi_treeanotator_"$DIRNM".sh
	#rm slurm_submit_nesi_"$DIRNM".sh
	cd "$WD"/"$INDIR01"
done




# do it again. I am lazy. I cannot be bothered to do a loop
cd "$WD"/"$INDIR02"
# https://stackoverflow.com/questions/2107945/how-to-loop-over-directories-in-linux
#loop over dirs in directory
for dir in "$WD"/"$INDIR02"/*/     # list directories in the form "/tmp/dirname/"
do
    dir=${dir%*/}      # remove the trailing "/"
    DIRNM=$(echo ${dir##*/})    # print everything after the final "/"
	#echo "$DIRNM"
	#change directory
	cd "$dir"
	#write a slurm submission file
	
	printf "#!/bin/bash
#SBATCH -J "$DIRNM"
#SBATCH -A uoa00029         # Project Account
#SBATCH --time="$slurm_hours":00:00     # Walltime
#SBATCH --mem-per-cpu=8192  # memory/cpu (in MB)
#SBATCH --cpus-per-task=1
#SBATCH --ntasks=1
# # SBATCH --mail-type=ALL
# #SBATCH --mail-user=sknu003@aucklanduni.ac.nz
#SBATCH -o stdout_"$DIRNM".txt
#SBATCH -e stderr_"$DIRNM".txt



#load module - load java first as beast is dependent on java
module load java
#now load beast
module load BEAST/1.10.4-gimkl-2017a-no-beagle

FNO="$DIRNM"
###module load java
###srun java -Xms64m -Xmx4000m -Djava.library.path=/share/easybuild/RHEL6.3/sandybridge/software/BEAST/1.8.0-goolf-1.5.14/lib/  -cp /share/easybuild/RHEL6.3/sandybridge/software/BEAST/1.8.0-goolf-1.5.14/lib/beast.jar dr.app.tools.TreeAnnotator -heights mean stb_kyp_094_06_comb3.trees stb_kyp_094_06_mean_tree.tre
##srun treeannotator -heights mean \"\${FNO}\".trees \"\${FNO}\".comb.tre
#srun treeannotator -heights median \"\${FNO}\".trees \"\${FNO}\".comb.tre
srun treeannotator -heights mean -burnin 10000000 *.trees \"\${FNO}\".comb.tre
" > slurm_submit_nesi_treeanotator_"$DIRNM".sh
#slurm submit to treeanotator
	sbatch slurm_submit_nesi_treeanotator_"$DIRNM".sh
	#rm slurm_submit_nesi_"$DIRNM".sh
	cd "$WD"/"$INDIR02"
done
